#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Lingua
%define		pnam	EN-Inflect
%include	/usr/lib/rpm/macros.perl
Summary:	Lingua::EN::Inflect - convert singular to plural - select "a" or "an"
Summary(pl.UTF-8):	Lingua::EN::Inflect - konwersja liczby pojedynczej na mnogą z wyborem "a" lub "an"
Name:		perl-Lingua-EN-Inflect
Version:	1.900
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Lingua/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	117c16ab9cc14bfe6c3220a70fb98764
URL:		http://search.cpan.org/dist/Lingua-EN-Inflect/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The exportable subroutines of Lingua::EN::Inflect provide plural
inflections, "a"/"an" selection for English words, and manipulation of
numbers as words

%description -l pl.UTF-8
Eksportowalne procedury Lingua::EN::Inflect umożliwiają konwersję
pomiędzy liczbą pojedynczą a mnogą z wyborem "a"/"an" dla wyrazów w
języku angielskim oraz manipulacje na wielu wyrazach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Lingua/EN/Inflect
cp -p demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Lingua/EN/Inflect
%{perl_vendorlib}/Lingua/EN/Inflect.pm
%{_mandir}/man3/Lingua::EN::Inflect.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Nov 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Lingua-EN-Inflect.git;a=log;h=master

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 73d1891
- updated to 1.900

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 558ceac
- use generic url

* Thu Dec 05 2013 Jan Rękorajski <baggins@pld-linux.org> 34f416c
- up to 1.895

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 5558c0e
- up to 1.893; example in _examplesdir

* Fri Dec 04 2009 amateja <amateja@pld-linux.org> fdc4542
- updated to 1.891

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d5973d
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6dc0c87
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 065982f
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 9b74737
- obsolete (I assume)

* Thu Aug 17 2006 migo <migo@pld-linux.org> fe1eacb
- add Inflect dir to package, rel 2

* Sun Aug 13 2006 migo <migo@pld-linux.org> 5e2184d
- up to 1.89

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 7f3f11f
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c3ea93d
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> c05efd6
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 4a7a4da
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1fca2cc
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 3d1a4a0
- summary/desc, rel. 4

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 506043f
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> d2bc07d
- license fixes and unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 835a59a
- ported to new bconds

